VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3030
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   4560
   LinkTopic       =   "Form1"
   ScaleHeight     =   3030
   ScaleWidth      =   4560
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   2000
      Left            =   1380
      Top             =   1740
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const pi = 3.1415926

Dim WithEvents snd As clsTrickSound2
Attribute snd.VB_VarHelpID = -1

Private Sub Form_Load()
    Set snd = New clsTrickSound2
    snd.InitPlayback 1, 44100, 8, 4096  ' // 44.1 KHz, 8 bit, Mono
    snd.StartProcess
End Sub

Private Sub snd_NewData(ByVal DataPtr As Long, ByVal CountBytes As Long)
    Static phase1 As Single, phase2 As Single
    Static delta1 As Single, delta2 As Single
    
    Dim buffer() As Byte
    Dim index    As Long

    ReDim buffer(CountBytes - 1)
    delta2 = 2 * pi * 0.5 / 44100   ' // LFO delta phase (0.5 Hz frequency modulation)
    
    For index = 0 To CountBytes - 1
        buffer(index) = (phase1 > 0.5) And &HFF
        delta1 = (Sin(phase2) * 300 + 700) / 44100  ' // Generation from (700 - 300 = 400) to (700 + 300 = 1000) Hz
        phase1 = phase1 + delta1: If phase1 > 1 Then phase1 = phase1 - 1
        phase2 = phase2 + delta2: If phase2 > 2 * pi Then phase2 = phase2 - 2 * pi
    Next
    
    snd.CopyData DataPtr, VarPtr(buffer(0)), CountBytes
    
End Sub

Private Sub Timer1_Timer()
    snd.StopProcess
End Sub
